summaryrefslogtreecommitdiffstats
path: root/minikrebs/profiles/init
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-01-04 10:00:20 +0700
committermakefu <github@syntax-fehler.de>2013-01-04 10:00:20 +0700
commitcccb26af3cf48fe74e506dd493806701bbdbed5e (patch)
treed6e5e66816c622a19457e97a24adedb31de2bf09 /minikrebs/profiles/init
parent2bcf2f215b9b5e1caa3ec7934c7e7b9fb255147d (diff)
refactor minikrebs profiles
./prepare prepares the openwrt build environment and copies the requested profile files into build environment
Diffstat (limited to 'minikrebs/profiles/init')
-rwxr-xr-xminikrebs/profiles/init25
1 files changed, 25 insertions, 0 deletions
diff --git a/minikrebs/profiles/init b/minikrebs/profiles/init
new file mode 100755
index 00000000..b7c1e8e9
--- /dev/null
+++ b/minikrebs/profiles/init
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+cd $(dirname $(readlink -f $0))
+if [ ! -e Makefile ] ;then
+ echo "ImageBuilder not checked out yet"
+ echo "try running ../prepare $$PROFILE"
+ exit 1
+fi
+
+echo
+if [ -e ./custom_make ];then
+ echo "Starting Custom Make"
+ sh ./custom_make
+else
+ echo "No Custom Make Script exists, bailing out!"
+ exit 1
+fi
+
+echo
+cat << EOF
+finished building
+You can use the following images:
+ Factory : $PWD/bin/ar71xx/openwrt-ar71xx-generic-tl-wr703n-v1-squashfs-factory.bin
+ System Upgrade: $PWD/bin/ar71xx/openwrt-ar71xx-generic-tl-wr703n-v1-squashfs-sysupgrade.bin
+EOF